## com.fasterxml.jackson.databind.util
Class ArrayBuilders.DoubleBuilder

    java.lang.Object
      com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder<double[]>
          com.fasterxml.jackson.databind.util.ArrayBuilders.DoubleBuilder

Enclosing class:
  ArrayBuilders

    public static final class ArrayBuilders.DoubleBuilder

extends PrimitiveArrayBuilder<double[]>

Constructor Summary
`ArrayBuilders.DoubleBuilder()`

Method Summary
`double[]` `_constructArray(int len)`

Methods inherited from class com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder
`_reset, appendCompletedChunk, completeAndClearBuffer, resetAndStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayBuilders.DoubleBuilder

    public ArrayBuilders.DoubleBuilder()

Method Detail

### _constructArray

    public final double[] _constructArray(int len)

  Specified by:
    `_constructArray` in class `PrimitiveArrayBuilder<double[]>`

Copyright © 2012 fasterxml.com. All Rights Reserved.